<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddUnitsToGatewayReq StructType
 * @subpackage Structs
 */
class AddUnitsToGatewayReq extends APIRequest
{
    /**
     * The unitsToGateway
     * @var XUnitsToGateway
     */
    public $unitsToGateway;
    /**
     * Constructor method for AddUnitsToGatewayReq
     * @uses AddUnitsToGatewayReq::setUnitsToGateway()
     * @param XUnitsToGateway $unitsToGateway
     */
    public function __construct(XUnitsToGateway $unitsToGateway = null)
    {
        $this
            ->setUnitsToGateway($unitsToGateway);
    }
    /**
     * Get unitsToGateway value
     * @return XUnitsToGateway|null
     */
    public function getUnitsToGateway()
    {
        return $this->unitsToGateway;
    }
    /**
     * Set unitsToGateway value
     * @param XUnitsToGateway $unitsToGateway
     * @return AddUnitsToGatewayReq
     */
    public function setUnitsToGateway(XUnitsToGateway $unitsToGateway = null)
    {
        $this->unitsToGateway = $unitsToGateway;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddUnitsToGatewayReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
